import { CodeLineProps } from "../types/index";
/**
 * 渲染單一程式碼行，包含多個語法 token。
 *
 * @template T 元件渲染類型，例如 <code>、<span> 等
 * @param props.tokens 該行所包含的語法 token 陣列
 * @param props.style 自訂樣式，會與 whiteSpace: pre-wrap 合併
 * @param rest 其他 HTMLAttributes
 * @returns JSX 元素，呈現語法 token 的單行程式碼
 */
export declare const CodeLine: {
    <T extends React.ElementType>({ style, tokens, theme, ...rest }: CodeLineProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
